OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockCategoryFactory

    java.lang.Object
      org.opennms.netmgt.mock.MockCategoryFactory

All Implemented Interfaces:
  CatFactory

public class MockCategoryFactory
extends java.lang.Object
implements CatFactory

Field Summary
`private static java.lang.String` `CATEGORY_CONFIG`
`private Catinfo` `m_config`

Constructor Summary
`MockCategoryFactory()`
`MockCategoryFactory(java.lang.String config)`

Method Summary
`Category` `getCategory(java.lang.String name)`
`Catinfo` `getConfig()` Return the categories configuration.
`java.lang.String` `getEffectiveRule(java.lang.String catlabel)`
`double` `getNormal(java.lang.String catlabel)`
`double` `getWarning(java.lang.String catlabel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_config

    private Catinfo m_config

### CATEGORY_CONFIG

    private static final java.lang.String CATEGORY_CONFIG

See Also:
  Constant Field Values

Constructor Detail

### MockCategoryFactory

    public MockCategoryFactory()
                        throws org.exolab.castor.xml.MarshalException,
                               org.exolab.castor.xml.ValidationException,
                               java.io.IOException

### MockCategoryFactory

    public MockCategoryFactory(java.lang.String config)
                        throws org.exolab.castor.xml.MarshalException,
                               org.exolab.castor.xml.ValidationException,
                               java.io.IOException

Method Detail

### getConfig

    public Catinfo getConfig()

  Return the categories configuration.

  Specified by:
    `getConfig` in interface `CatFactory`
  Returns:
    the categories configuration

### getCategory

    public Category getCategory(java.lang.String name)

  Specified by:
    `getCategory` in interface `CatFactory`

### getEffectiveRule

    public java.lang.String getEffectiveRule(java.lang.String catlabel)

  Specified by:
    `getEffectiveRule` in interface `CatFactory`

### getNormal

    public double getNormal(java.lang.String catlabel)

  Specified by:
    `getNormal` in interface `CatFactory`

### getWarning

    public double getWarning(java.lang.String catlabel)

  Specified by:
    `getWarning` in interface `CatFactory`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.